using System;
using UnityEngine;
using UnityEngine.SceneManagement;

public class ZoneRules : MonoBehaviour
{
	public event OnPlayZoneExited onPlayZoneExited;
	public delegate void OnPlayZoneExited(GameObject go);
	private void OnTriggerExit(Collider collider)
	{
		if (onPlayZoneExited != null && collider.tag == "Player")
		{
			onPlayZoneExited.Invoke(collider.gameObject);
		}
	}
}
